API Reference
Create a task
POST
/api/tasks
Create a task
Operation IDcreateTask
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Request body
This request body is required.
Content typeapplication/json
requestobject4 properties
namestringrequireddescriptionstringyaml_contentstringrequiredTask definition in YAML format
connector_refsarray<string>Array items
itemstringSuccess response body
201Task created with current YAML content
Task created with current YAML content
Content typeapplication/json
responseobject8 properties
idintegernamestringdescriptionstring | nullcurrent_versionintegerstatusstringcreated_atstring · date-timeupdated_atstring · date-timecurrent_yamlstring | nullError responses
400Validation error
Validation error
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "VALIDATION_ERROR",
"message": "Invalid input"
}